Bulk add components
Add up to 50 components to a status page in a single request.
POST
/status-pages/{id}/components/bulk
Add up to 50 components to a status page in a single request.
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Request Body required
application/jsoncomponents
object[]
REQUIRED
Array of:
name
string
REQUIRED
description
unknown
monitor_id
unknown
Responses
201
Components added
application/jsoncomponents
object[]
Array of:
name
string
REQUIRED
description
unknown
monitor_id
unknown
errors
object[]
Array of:
index
integer
error
string
curl -X POST 'https://happyuptime.com/api/v1/status-pages/string/components/bulk' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "components": [ { "name": "string", "description": "string", "monitor_id": "string" } ]}'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string/components/bulk', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "components": [ { "name": "string", "description": "string", "monitor_id": "string" } ] })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://happyuptime.com/api/v1/status-pages/string/components/bulk', headers=headers, json={ "components": [ { "name": "string", "description": "string", "monitor_id": "string" } ]})print(response.json())
201
Response
{ "components": [ { "name": "<string>", "description": "<string>", "monitor_id": "<string>" } ], "errors": [ { "index": 123, "error": "<string>" } ]}
API Playground
Try this endpoint
POST
/status-pages/{id}/components/bulk